### Method

# Secret Service get_secret_for_dbus_path_sync

#### Declaration [src]

    SecretValue*
    secret_service_get_secret_for_dbus_path_sync (
      SecretService* self,
      const gchar* item_path,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Get the secret value for a secret item stored in the service.

The item is represented by its D-Bus object path. If you already have a `SecretItem` proxy object, use use `secret_item_load_secret_sync()` to more simply get its secret value.

This method may block indefinitely and should not be used in user interface threads.

Will return `NULL` if the item is locked.

Stability: Unstable

This method is not directly available to language bindings.

#### Parameters

`item_path`

  Type: `const gchar*`

  The D-Bus path to item to retrieve secret for.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  Optional cancellation object.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `SecretValue`

The newly allocated secret value the item, which should be released with `secret_value_unref()`

The caller of the method takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.